Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar31
Class TimerTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar31.TimerTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, TimerType<T>

    public class TimerTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, TimerType<T>

This class implements the `timerType` xsd type

Original Documentation:

The timerType specifies an enterprise bean timer. Each
timer is automatically created by the container upon
deployment. Timer callbacks occur based on the
schedule attributes. All callbacks are made to the
timeout-method associated with the timer.
A timer can have an optional start and/or end date. If
a start date is specified, it takes precedence over the
associated timer schedule such that any matching
expirations prior to the start time will not occur.
Likewise, no matching expirations will occur after any
end date. Start/End dates are specified using the
XML Schema dateTime type, which follows the ISO-8601
standard for date(and optional time-within-the-day)
representation.
An optional flag can be used to control whether
this timer has persistent(true) delivery semantics or
non-persistent(false) delivery semantics. If not specified,
the value defaults to persistent(true).
A time zone can optionally be associated with a timer.
If specified, the timer's schedule is evaluated in the context
of that time zone, regardless of the default time zone in which
the container is executing. Time zones are specified as an
ID string. The set of required time zone IDs is defined by
the Zone Name(TZ) column of the public domain zoneinfo database.
An optional info string can be assigned to the timer and
retrieved at runtime through the Timer.getInfo() method.
The timerType can only be specified on stateless session
beans, singleton session beans, and message-driven beans.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`TimerTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`TimerTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.Date` | `getEnd()` Returns the `end` element
`java.lang.String` | `getInfo()` Returns the `info` element
`java.util.Date` | `getStart()` Returns the `start` element
`java.lang.String` | `getTimezone()` Returns the `timezone` element
`java.lang.Boolean` | `isPersistent()` Returns the `persistent` element
`TimerType<T>` | `removeAllDescription()` Removes the `description` element
`TimerType<T>` | `removeEnd()` Removes the `end` element
`TimerType<T>` | `removeInfo()` Removes the `info` element
`TimerType<T>` | `removePersistent()` Removes the `persistent` element
`TimerType<T>` | `removeSchedule()` Removes the `schedule` element
`TimerType<T>` | `removeStart()` Removes the `start` element
`TimerType<T>` | `removeTimeoutMethod()` Removes the `timeout-method` element
`TimerType<T>` | `removeTimezone()` Removes the `timezone` element
`TimerScheduleType<TimerType<T>>` | `schedule()` If not already created, a new `schedule` element will be created and returned.
`TimerType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`TimerType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`TimerType<T>` | `setEnd(java.util.Date end)` If not already created, a new `end` element with the given value will be created.
`TimerType<T>` | `setInfo(java.lang.String info)` If not already created, a new `info` element with the given value will be created.
`TimerType<T>` | `setPersistent(java.lang.Boolean persistent)` If not already created, a new `persistent` element with the given value will be created.
`TimerType<T>` | `setStart(java.util.Date start)` If not already created, a new `start` element with the given value will be created.
`TimerType<T>` | `setTimezone(java.lang.String timezone)` If not already created, a new `timezone` element with the given value will be created.
`NamedMethodType<TimerType<T>>` | `timeoutMethod()` If not already created, a new `timeout-method` element will be created and returned.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimerTypeImpl

    public TimerTypeImpl(T t,
                         java.lang.String nodeName,
                         org.jboss.shrinkwrap.descriptor.spi.Node node)

### TimerTypeImpl

    public TimerTypeImpl(T t,
                         java.lang.String nodeName,
                         org.jboss.shrinkwrap.descriptor.spi.Node node,
                         org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public TimerType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `TimerType<T>`
  Returns:
    the current instance of `TimerType`

### setDescriptionList

    public TimerType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `TimerType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `TimerType`

### removeAllDescription

    public TimerType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `TimerType<T>`
  Returns:
    the current instance of `TimerType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `TimerType<T>`
  Returns:
    list of `description`

### removeSchedule

    public TimerType<T> removeSchedule()

  Removes the `schedule` element

  Specified by:
    `removeSchedule` in interface `TimerType<T>`
  Returns:
    the current instance of `TimerType`

### schedule

    public TimerScheduleType<TimerType<T>> schedule()

  If not already created, a new `schedule` element will be created and returned. Otherwise, the existing `schedule` element will be returned.

  Specified by:
    `schedule` in interface `TimerType<T>`
  Returns:
    the node defined for the element `schedule`

### setStart

    public TimerType<T> setStart(java.util.Date start)

  If not already created, a new `start` element with the given value will be created. Otherwise, the existing `start` element will be updated with the given value.

  Specified by:
    `setStart` in interface `TimerType<T>`
  Parameters:
    `java.util.Date` -
  Returns:
    the current instance of `TimerType`

### removeStart

    public TimerType<T> removeStart()

  Removes the `start` element

  Specified by:
    `removeStart` in interface `TimerType<T>`
  Returns:
    the current instance of `TimerType`

### getStart

    public java.util.Date getStart()

  Returns the `start` element

  Specified by:
    `getStart` in interface `TimerType<T>`
  Returns:
    the node defined for the element `start`

### setEnd

    public TimerType<T> setEnd(java.util.Date end)

  If not already created, a new `end` element with the given value will be created. Otherwise, the existing `end` element will be updated with the given value.

  Specified by:
    `setEnd` in interface `TimerType<T>`
  Parameters:
    `java.util.Date` -
  Returns:
    the current instance of `TimerType`

### removeEnd

    public TimerType<T> removeEnd()

  Removes the `end` element

  Specified by:
    `removeEnd` in interface `TimerType<T>`
  Returns:
    the current instance of `TimerType`

### getEnd

    public java.util.Date getEnd()

  Returns the `end` element

  Specified by:
    `getEnd` in interface `TimerType<T>`
  Returns:
    the node defined for the element `end`

### removeTimeoutMethod

    public TimerType<T> removeTimeoutMethod()

  Removes the `timeout-method` element

  Specified by:
    `removeTimeoutMethod` in interface `TimerType<T>`
  Returns:
    the current instance of `TimerType`

### timeoutMethod

    public NamedMethodType<TimerType<T>> timeoutMethod()

  If not already created, a new `timeout-method` element will be created and returned. Otherwise, the existing `timeout-method` element will be returned.

  Specified by:
    `timeoutMethod` in interface `TimerType<T>`
  Returns:
    the node defined for the element `timeout-method`

### setPersistent

    public TimerType<T> setPersistent(java.lang.Boolean persistent)

  If not already created, a new `persistent` element with the given value will be created. Otherwise, the existing `persistent` element will be updated with the given value.

  Specified by:
    `setPersistent` in interface `TimerType<T>`
  Returns:
    the current instance of `TimerType`

### removePersistent

    public TimerType<T> removePersistent()

  Removes the `persistent` element

  Specified by:
    `removePersistent` in interface `TimerType<T>`
  Returns:
    the current instance of `TimerType`

### isPersistent

    public java.lang.Boolean isPersistent()

  Returns the `persistent` element

  Specified by:
    `isPersistent` in interface `TimerType<T>`
  Returns:
    the node defined for the element `persistent`

### setTimezone

    public TimerType<T> setTimezone(java.lang.String timezone)

  If not already created, a new `timezone` element with the given value will be created. Otherwise, the existing `timezone` element will be updated with the given value.

  Specified by:
    `setTimezone` in interface `TimerType<T>`
  Returns:
    the current instance of `TimerType`

### removeTimezone

    public TimerType<T> removeTimezone()

  Removes the `timezone` element

  Specified by:
    `removeTimezone` in interface `TimerType<T>`
  Returns:
    the current instance of `TimerType`

### getTimezone

    public java.lang.String getTimezone()

  Returns the `timezone` element

  Specified by:
    `getTimezone` in interface `TimerType<T>`
  Returns:
    the node defined for the element `timezone`

### setInfo

    public TimerType<T> setInfo(java.lang.String info)

  If not already created, a new `info` element with the given value will be created. Otherwise, the existing `info` element will be updated with the given value.

  Specified by:
    `setInfo` in interface `TimerType<T>`
  Returns:
    the current instance of `TimerType`

### removeInfo

    public TimerType<T> removeInfo()

  Removes the `info` element

  Specified by:
    `removeInfo` in interface `TimerType<T>`
  Returns:
    the current instance of `TimerType`

### getInfo

    public java.lang.String getInfo()

  Returns the `info` element

  Specified by:
    `getInfo` in interface `TimerType<T>`
  Returns:
    the node defined for the element `info`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD